%global         srcname  asyncssh
%bcond_with test

Summary:        Asynchronous SSH for Python
Name:           python-%{srcname}
Version:        2.12.0
Release:        4%{?dist}
License:        EPL-2.0 or GPLv2+
URL:            https://github.com/ronf/asyncssh
Source0:        https://files.pythonhosted.org/packages/3e/51/647552e03b9eb73d0a456c8c01dc97ea0a1aa810288ceb2eb50eb521ba2d/%{srcname}-%{version}.tar.gz

BuildArch:      noarch
BuildRequires:  python3-devel python3-setuptools python3-bcrypt python3-gssapi
BuildRequires:  nmap-ncat openssl openssh-clients python3-pyOpenSSL
BuildRequires:  python3-libnacl python3-cryptography python3-typing-extensions
Recommends:     python3-libnacl
Suggests:       python3-bcrypt python3-gssapi python3-pyOpenSSL python3-fido2     

%description
Python 3 library for asynchronous client and server-side SSH communication. 
It uses the Python asyncio module and implements many SSH protocol features 
such as the various channels, SFTP, SCP, forwarding, session multiplexing 
over a connection and more.

%package -n python3-%{srcname}
Summary:        %{summary}

%description -n python3-%{srcname}
Python 3 library for asynchronous client and server-side SSH communication. 
It uses the Python asyncio module and implements many SSH protocol features 
such as the various channels, SFTP, SCP, forwarding, session multiplexing 
over a connection and more.

%prep
%autosetup -n %{srcname}-%{version}

%build
sed -i '1,1s@^#!.*$@#!%{__python3}@' examples/*.py
%py3_build

%install
%py3_install

%if %{with test}
# This test will fail because sha1 is no longer supported on ocs.
# jump it for now
%check
%{__python3} -m unittest discover -s tests -t . -v
%endif

%files -n python3-%{srcname}
%license LICENSE COPYRIGHT
%doc README.rst examples
%{python3_sitelib}/%{srcname}/
%{python3_sitelib}/%{srcname}-*-py*.egg-info/


%changelog
* Fri Apr 28 2023 OpenCloudOS Release Engineering <releng@opencloudos.tech> - 2.12.0-4
- Rebuilt for OpenCloudOS Stream 23.05

* Fri Mar 31 2023 OpenCloudOS Release Engineering <releng@opencloudos.tech> - 2.12.0-3
- Rebuilt for OpenCloudOS Stream 23

* Tue Jan 17 2023 Xin Cheng <denisecheng@tencent.com> - 2.12.0-2
- Delete unused patch for old release

* Thu Jan 12 2023 Xin Cheng <denisecheng@tencent.com> - 2.12.0-1
- package init.
